---
title: Proxy-Authorization
slug: Web/HTTP/Headers/Proxy-Authorization
tags:
  - HTTP
  - HTTP Header
  - Reference
  - Request header
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>Proxy-Authorization</code></strong> request header contains the credentials to authenticate a user agent to a proxy server, usually after the server has responded with a {{HTTPStatus("407")}} <code>Proxy Authentication Required</code> status and the {{HTTPHeader("Proxy-Authenticate")}} header.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Proxy-Authorization: &lt;type&gt; &lt;credentials&gt;</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;type&gt;</dt>
 <dd><a href="/en-US/docs/Web/HTTP/Authentication#Authentication_schemes">Authentication type</a>. A common type is <a href="/en-US/docs/Web/HTTP/Authentication#Basic_authentication_scheme">"Basic"</a>. See also the <a href="http://www.iana.org/assignments/http-authschemes/http-authschemes.xhtml">IANA registry of Authentication schemes</a>.</dd>
 <dt>&lt;credentials&gt;</dt>
 <dd>The credentials are constructed like this:
 <ul>
  <li>The username and the password are combined with a colon (<code>aladdin:opensesame</code>).</li>
  <li>The resulting string is <a href="/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding">base64</a> encoded (<code>YWxhZGRpbjpvcGVuc2VzYW1l</code>).</li>
 </ul>

 <div class="note">
 <p><strong>Note</strong>: Base64 encoding does not mean encryption or hashing! This method is equally secure as sending the credentials in clear text (base64 is a reversible encoding). Prefer to use HTTPS in conjunction with Basic Authentication.</p>
 </div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Proxy-Authorization: Basic YWxhZGRpbjpvcGVuc2VzYW1l
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7235", "Proxy-Authorization", "4.4")}}</td>
   <td>HTTP/1.1: Authentication</td>
  </tr>
  <tr>
   <td>{{RFC("7617")}}</td>
   <td>The 'Basic' HTTP Authentication Scheme</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Authentication">HTTP authentication</a></li>
 <li>{{HTTPHeader("Proxy-Authenticate")}}</li>
 <li>{{HTTPHeader("WWW-Authenticate")}}</li>
 <li>{{HTTPHeader("Authorization")}}</li>
 <li>{{HTTPStatus("401")}}, {{HTTPStatus("403")}}, {{HTTPStatus("407")}}</li>
</ul>
